﻿@using PagedList;
@using PagedList.Mvc;
@model IPagedList<AHCBL.Dto.Admin.CategoryListDto>
@{
    ViewBag.Title = "Category List";
}

<div class="xp-contentbar" style="margin-top:60px;">
    <div class="row">
        <!-- Start XP Col -->
        <div class="col-md-12 col-lg-12 col-xl-12">
            <div class="card m-b-30">
                <div class="card-header bg-white">
                    <div class="float-left">
                        <h5 class="card-title text-black">분류관리 / การจัดการกระดานข่าว</h5>
                    </div>
                </div>
                <div class="col-md-12 col-lg-12 col-xl-12">
                    <div class="xp-alert mt-3">


                    </div>
                </div>
                <div class="card-body" style="margin-top:-20px;">
                    <div class="align-middle">
                        <span class="badge badge-primary badge-pill">생성된 분류 수 @ViewBag.Count 개</span>
                        @*<div class="float-right">
                                <button type="button" id="btnDel" style="margin-top:-10px;" class="btn btn-rounded btn-danger"><i class="icon-trash mr-2"></i> Delete</button>
                                <button type="button" style="margin-top:-10px;" class="btn btn-rounded btn-success" onclick="location.href='@Url.Action("Create", "BoardList")'"><i class="icon-plus mr-2"></i> Insert</button>
                            </div>*@
                    </div>
                    <div class="table-responsive m-b-30 mt-2">
                        <table class="table table-bordered">
                            <thead class="thead-dark">
                                <tr class="text-center">
                                    <th class="align-middle" style="width:60px;">NO.</th>
                                    <th class="align-middle">분류명 / ชื่อหมวดหมู่</th>
                                    <th class="align-middle" style="width:200px;">최소금액(달러) / จำนวนเงินขั้นต่ำ (ดอลลาร์)</th>
                                    @*<th class="align-middle" style="width:200px;">
                                        최대금액(달러) / จำนวนเงินสูงสุด (ดอลลาร์)
                                    </th>*@
                                    <th class="align-middle" style="width:170px;">
                                        보유기간 / ระยะเวลาเก็บรักษา
                                    </th>
                                    <th class="align-middle" style="width:90px;">수익 / รายได้</th>
                                    @*<th class="align-middle" style="width:90px;">충전시간 / เวลาในการชาร์จ</th>*@

                                    <th class="align-middle" style="width:90px;">마블마블 / หินอ่อนหินอ่อน </th>
                                    <th class="align-middle" style="width:90px;">일최대 당첨가능수 / จำนวนขายสินค้าต่อวัน</th>
                                    @*<th class="align-middle" style="width:200px;">일최대 당첨가능금액(달러) / จำนวนเงินที่ชนะสูงสุดต่อวัน (ดอลลาร์) </th>*@
                                    <th class="align-middle" style="width:100px;">
                                        상품수 / จำนวนสินค้า
                                    </th>
                                    <th class="align-middle" style="width:150px;">
                                        관리 / การจัดการ
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                @if (Model != null && Model.Count() != 0)
                                {
                                    foreach (var item in Model)
                                    {
                                        <tr class="text-center">
                                            <td> @Html.DisplayFor(modelItem => item.num)</td>
                                            <td> @Html.EditorFor(modelItem => item.name, new { htmlAttributes = new { @class = "form-control bg-white border" } })</td>
                                            <td> @Html.EditorFor(modelItem => item.min_price, new { htmlAttributes = new { @class = "form-control bg-white border" } })</td>
                                            @*<td> @Html.EditorFor(modelItem => item.max_price, new { htmlAttributes = new { @class = "form-control bg-white border" } }) </td>*@
                                            <td> @Html.EditorFor(modelItem => item.day, new { htmlAttributes = new { @class = "form-control bg-white border" } }) </td>
                                            <td> @Html.EditorFor(modelItem => item.revenue, new { htmlAttributes = new { @class = "form-control bg-white border" } })</td>
                                            @*<td> @Html.EditorFor(modelItem => item.charging_time, new { htmlAttributes = new { @class = "form-control bg-white border" } })</td>*@
                                            <td> @Html.EditorFor(modelItem => item.energy, new { htmlAttributes = new { @class = "form-control bg-white border" } })</td>
                                            <td> @Html.EditorFor(modelItem => item.win_count, new { htmlAttributes = new { @class = "form-control bg-white border" } })</td>
                                            @*<td> @Html.EditorFor(modelItem => item.win_max_price, new { htmlAttributes = new { @class = "form-control bg-white border" } })</td>*@
                                            <td> @Html.DisplayFor(modelItem => item.product_amt)</td>
                                            <td>
                                                <div class="justify-content-center row">
                                                    @*@using (Html.BeginForm("Create", "CategoryList", new { id = item.id }, FormMethod.Get))
                                                    {
                                                        <button type="submit" class="btn btn-round btn-success" style="float: none; margin: 5px;" title="추가">
                                                            <span class="icon-plus"></span>
                                                        </button>
                                                    }*@

                                                    @using (Html.BeginForm("Edit", "CategoryList", new { id = item.id }, FormMethod.Get))
                                                    {
                                                        <button type="submit" class="btn btn-round btn-primary" style="float: none; margin: 5px;" title="삭제">
                                                            <span class="icon-note"></span>
                                                        </button>
                                                    }
                                                    <button type="button" onclick="Del('@Html.DisplayFor(modelItem => item.id)');" class="btn btn-round btn-danger" style="float: none; margin: 5px;" title="수정">
                                                        <span class="icon-trash"></span>
                                                    </button>
                                                </div>
                                            </td>
                                        </tr>

                                    }
                                }
                                else
                                {
                                    <tr class="text-center">
                                        <td colspan="13">
                                            No Data !!
                                        </td>
                                    </tr>
                                }
                            </tbody>
                        </table>
                        @{
                            if (Convert.ToInt32(ViewBag.Count) > ViewBag.rows)
                            {
                                <div class="justify-content-center row">

                                    @Html.PagedListPager(Model, Page => Url.Action("Index", "CategoryList", new { Page }))

                                </div>
                            }
                        }
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    $(function () {
        $("#liCategory").addClass("active");
        $("#meCategory").addClass("active");
    });
    function Del(id) {
        var r = confirm("1구좌 추가생성하시겠습니까??");
        if (r == true) {
            $.ajax({
                type: "POST",
                url: "/CategoryList/Delete",
                data: "{'id':'" + id + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    alert(msg);
                    location.reload();
                }
            });
        }
    }
</script>

